## rustc-1.87 1.87.0+dfsg0ubuntu1

=== debian/changelog ===
rustc-1.87 (1.87.0+dfsg0ubuntu1-0ubuntu1) questing; urgency=medium

  * New upstream version 1.87.0 (LP: #2118790)
  * Standard maintenance:
    - d/patches: Refresh patches
    - d/p/prune/d-0021-vendor-remove-windows-dependencies.patch: Prune Windows
      dependencies of vendored crates
    - d/control,d/s/lintian-overrides: Update versioned identifiers
    - d/copyright: Update Files-Excluded with newly-pruned vendored crates
    - d/control,d/control.in: Update XS-Vendored-Sources-Rust
    - d/copyright: Update copyright stanzas
  * d/copyright: Remove src/tools/rls from Files-Excluded (dropped upstream)
  * Upgrade to LLVM 20:
    - d/p/ubuntu/ubuntu-enzyme-use-system-llvm.patch: Make LLVM_DIR llvm-20
    - d/rules,d/bin/rust-lld,d/control,d/*.in: Update LLVM references to
      version 20
  * Rename config.toml to bootstrap.toml:
    - d/copyright,d/rust-X.Y-src.install.in: Rename config.example.toml to
      bootstrap.example.toml
    - d/bootstrap.toml.in,d/prune-unused-deps,d/rules: Rename config.toml to
      bootstrap.toml
  * d/p/upstream/u-profiler-builtins-full-path.patch: Make profiler_builtins
    build script handle absolute path to profiler lib properly
  * Fix run-make test failures when rpath is disabled:
    - d/p/upstream/u-run-make-support-dylib.patch: Set rustc dylib path for
      run-make-support cargo wrapper
    - d/p/upstream/u-raw-rustc-command.patch: Add ability to get a raw
      rustc/rustdoc command for run-make tests

 -- Max Gilmour <max.gilmour@canonical.com>  Wed, 13 Aug 2025 13:36:27 -0700

rustc-1.86 (1.86.0+dfsg0ubuntu2-0ubuntu2) questing; urgency=medium

  * Remove vendored C libraries in favour of system libraries (LP: #2119556)
    - Repack orig tarball with unneeded vendored C libraries removed
    - d/control*,d/copyright,d/p/series: Use system libonig-dev instead of
      vendored oniguruma
    - d/config.toml.in,d/copyright,d/control,d/control.in: Use system
      libonig-sys instead of the vendored oniguruma
    - d/copyright,d/p/series: Use pure Rust impl of blake3 instead of the
      vendored C library

 -- Max Gilmour <max.gilmour@canonical.com>  Tue, 05 Aug 2025 14:30:47 -0700

rustc-1.86 (1.86.0+dfsg0ubuntu1-0ubuntu1) questing; urgency=medium

  * New upstream version 1.86.0 (LP: #2117513)
  * d/patches: Refresh patches
  * d/p/series: Remove unneeded libgit2 1.9 update patch
  * d/p/prune/d-0021-vendor-remove-windows-dependencies.patch: Prune Windows
    dependencies of vendored crates
  * d/p/series: Require SSE2 for the i386 baseline
  * d/copyright: Regenerate vendor Files-Excluded list
  * d/copyright: Add x.ps1 to Powershell script to Files-Excluded
  * d/copyright: Add files with missing copyright info
  * d/control,d/s/lintian-overrides: Update versioned control files
  * d/control,d/control.in: Update XS-Vendored-Sources-Rust
  * d/config.toml.in: Explicitly disable building vendored lld
  * d/p/upstream/u-mdbook-robust-chapter-path.patch: Stop mdbook panic on
    missing source path
  * d/p/prune/d-0000-ignore-removed-submodules.patch: Prune paths used to
    generate vendor copyright information
  * d/not-installed,d/not-installed.in: Ignore unnecessary licenses from Rust
    upstream
  * d/copyright housekeeping:
    - Restore alphabetical order of vendor copyright stanzas
    - Remove unneeded and redundant copyright stanzas
    - Remove unused licenses
  * d/p/upstream/u-powerpc-broken-f16-tests-workaround.patch: Cherry-pick
    upstream workaround for broken ppc64el f16 tests

 -- Max Gilmour <max.gilmour@canonical.com>  Tue, 22 Jul 2025 10:32:18 -0700

rustc-1.85 (1.85.1+dfsg0ubuntu1-0ubuntu1) questing; urgency=medium

  * New upstream version 1.85.1 (LP: #2109761)
  * d/patches: Refresh patches
  * d/p/prune/d-0021-vendor-remove-windows-dependencies.patch: Prune Windows
    dependencies for Rust 1.85
  * d/copyright: Update list of excluded source files after pruning
  * d/control,d/s/lintian-overrides: Re-generate files for rustc-1.85
  * d/patches: Refresh patches after pruning Windows sources
  * d/control,d/control.in: Update XS-Vendored-Sources-Rust
  * d/copyright: Add copyright entries for new dependencies
  * d/p/behaviour/d-rust-lldb-paths.patch: Update hardcoded lldb version
  * d/config.toml.in,d/copyright: Disable LLVM Enzyme
  * d/copyright: Exclude windows-bindgen metadata binaries

 -- Max Gilmour <max.gilmour@canonical.com>  Tue, 17 Jun 2025 11:15:23 -0700

rustc-1.84 (1.84.1+dfsg0ubuntu1-0ubuntu1) plucky; urgency=medium

  * New upstream version 1.84.1 (LP: #2097189)

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 31 Jan 2025 22:39:57 -0700

rustc-1.84 (1.84.0+dfsg0ubuntu1-0ubuntu1) plucky; urgency=medium

  * New upstream version 1.84.0 (LP: #2093796)
  * d/patches: refresh early patches
  * d/patches: remove windows dependencies for Rust 1.84
  * d/copyright: remove Windows library source files
  * d/patches: refresh patches after deleting Windows sources
  * d/control,d/s/lintian-overrides: re-generate files for rustc-1.84
  * d/config.toml.in: use download-rustc option to avoid downloading
    upstream rustc binaries
  * d/copyright: update copyright information for vendor libraries

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 10 Jan 2025 15:28:21 -0700

rustc-1.83 (1.83.0+dfsg0ubuntu1-0ubuntu2) plucky; urgency=medium

  * d/rust-X.Y-src.links.in: add one more symlink that creates the 
    lib/rustlib/src/rust path to help with the Linux kernel build system
    (LP: #2090791)
  * d/p/ubuntu/ubuntu-update-libgit2-to-1.9.patch: add a patch to
    update libgit2 to 1.9 (LP: #2093205)
  * d/control.in: update libgit2 to 1.9

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 07 Jan 2025 11:39:05 -0700

rustc-1.83 (1.83.0+dfsg0ubuntu1-0ubuntu1) plucky; urgency=medium

  * New upstream version 1.83.0 (LP: #2091414)
  * d/patches: refresh and rebase patches
  * d/copyright: update list of unused vendored dependencies
  * d/control,d/s/lintian-overrides: re-generate files for rustc-1.83

